View Issue Details

IDProjectCategoryView StatusLast Update
0001995XdebugUncategorizedpublic2021-07-19 14:12
Reporterelazar Assigned Toderick  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionno change required 
PlatformLinuxOSFedoraOS Version33
Product Version3.0.4 
Summary0001995: Memory corruption when file or directory handles are implicitly closed during shutdown
DescriptionSee https://github.com/elazar/xdebug-date-stream-php-segfault for further explanation and a test case to reproduce the issue.
Additional InformationThe actual PHP version is 8.0.6. (The PHP version menu only allows for "8.0-8.0.4" or "8.0-dev.") It is installed like so: https://blog.remirepo.net/post/2019/12/03/Install-PHP-7.4-on-CentOS-RHEL-or-Fedora.
Tagscli, crash, exit code 139, gdb, php7.4, php8.0
Operating SystemFedora 33
PHP Version8.0.0-8.0.4

Activities

derick

2021-07-19 14:12

administrator   ~0005931

This turned out to be a bug in PHP, and not in Xdebug. I've fixed that for PHP 7.4 and later now: https://github.com/php/php-src/commit/26b1572d37e5daf3faded2e209da4dd4b8e35779

I was doing a "Fix a bug in Xdebug video" with this issue, which I'm editing now, and will upload later to my YouTube channel at https://www.youtube.com/playlist?list=PLg9Kjjye-m1g_eXpdaifUqLqALLqZqKd4

Issue History

Date Modified Username Field Change
2021-07-17 18:18 elazar New Issue
2021-07-17 18:18 elazar Tag Attached: cli
2021-07-17 18:18 elazar Tag Attached: crash
2021-07-17 18:18 elazar Tag Attached: exit code 139
2021-07-17 18:18 elazar Tag Attached: gdb
2021-07-17 18:18 elazar Tag Attached: php7.4
2021-07-17 18:18 elazar Tag Attached: php8.0
2021-07-19 14:11 derick Assigned To => derick
2021-07-19 14:11 derick Status new => resolved
2021-07-19 14:11 derick Resolution open => no change required
2021-07-19 14:12 derick Note Added: 0005931